[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] libvirt-php 0.4.5 and php 5.4



On 11/27/2011 05:31 PM, Remi Collet wrote:
> Hi,
>
> I'm working on updating PHP to 5.4.0 (probably a fedora 17 feature).
>
> libvirt 0.4.5 doesn't build because function_entry have been removed
> See http://news.php.net/php.pecl.dev/7123
>
> Fix is trivial :
> 	s/function_entry/zend_function_entry/
>
> Attcached patch solves this issue and also fixes a lot of compiler
> warning (unused variable, unset, ...)
>
> There is still a lot of warning... (most are trivial to fix)
>
> I Hope this helps.
> Remi.

Hi Remi,
thanks a lot for your patch. I've applied your patch as commit 0890040d
[1]. I tried it on PHP-5.3.8 and it's working fine even on PHP-5.3.8 so
this is fine.

Thanks a lot for your patch!
Michal

[1]
http://libvirt.org/git/?p=libvirt-php.git;a=commit;h=089040dce425ce1af5d2ba63de4840abbe1640f9

-- 
Michal Novotny <minovotn redhat com>, RHCE, Red Hat
Virtualization | libvirt-php bindings | php-virt-control.org


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]